Gecode::Support::Terminator Class Referenceabstract
Common functionality » Support algorithms and datastructures » Simple thread and synchronization support

An interface for objects that can be called after a thread has terminated (after running the thread's destructor). More...

`#include <thread.hpp>`

## Public Member Functions

virtual | ~Terminator ()
| Destructor.
virtual void | terminated (void)=0
| The function that is called when the thread has terminated.

## Detailed Description

An interface for objects that can be called after a thread has terminated (after running the thread's destructor).

Definition at line 251 of file thread.hpp.

## Constructor & Destructor Documentation

## ~Terminator()

virtual Gecode::Support::Terminator::~Terminator | ( |  | ) |

inline virtual

Destructor.

Definition at line 254 of file thread.hpp.

## Member Function Documentation

## terminated()

virtual void Gecode::Support::Terminator::terminated | ( | void |  | ) |

pure virtual

The function that is called when the thread has terminated.

Implemented in Gecode::Search::Par::Engine< Tracer >.

The documentation for this class was generated from the following file:

- gecode/support/thread.hpp